For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETRetrieves a list of dbs with status on their imports and exports
          • GETRetrieves a list of accounts for a user
          • GETRetrieves a list of accounts for a user, paginated with fuzzy search.
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformAccounts

Retrieves a list of dbs with status on their imports and exports

GET
https://meta.feedonomics.com/api.php/accounts/:account_id/status
GET
/api.php/accounts/:account_id/status
$curl https://meta.feedonomics.com/api.php/accounts/1/status \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>"
200Accounts_retrievesAListOfDbsWithStatusOnTheirImportsAndExports_example
1[
2 {
3 "id": "73",
4 "name": "admin",
5 "data_count": "32121",
6 "db_group_name": "",
7 "import_status": "Unscheduled",
8 "export_status": "Issue",
9 "imports": [
10 {
11 "id": "12",
12 "file_type": "delimited",
13 "name": "small import",
14 "load_threshold": "1",
15 "file_location": "local",
16 "join_type": "product_feed",
17 "status": "Unscheduled",
18 "last_log": {},
19 "last_successful_log": {}
20 }
21 ],
22 "exports": [
23 {
24 "id": "160840",
25 "db_id": "56095",
26 "name": "small export",
27 "threshold": "0",
28 "export_selector": "true",
29 "cron": "0 0 * * 0",
30 "file_name": "text.csv",
31 "status": "Issue",
32 "last_log": {
33 "id": "1008565078",
34 "db_id": "56095",
35 "import_id": "0",
36 "export_id": "160840",
37 "message": "curl_error",
38 "value": "7",
39 "time": "2023-01-29 00:02:53",
40 "data": "json object",
41 "error_flag": true
42 },
43 "tags": {},
44 "dgqs": {}
45 },
46 {
47 "id": "160841",
48 "db_id": "56095",
49 "name": "small export",
50 "threshold": "0",
51 "export_selector": "true",
52 "cron": "0 0 * * 0",
53 "file_name": "text.csv",
54 "status": "Issue",
55 "last_log": {
56 "id": "1008565078",
57 "db_id": "56095",
58 "import_id": "0",
59 "export_id": "160840",
60 "message": "curl_error",
61 "value": "7",
62 "time": "2023-01-29 00:02:53",
63 "data": "json object",
64 "error_flag": true
65 },
66 "last_successful_log": {
67 "id": "526219045",
68 "db_id": "56095",
69 "import_id": "0",
70 "export_id": "160840",
71 "message": "export_local",
72 "value": "22",
73 "time": "2021-08-24 13:38:26",
74 "data": "json object"
75 },
76 "tags": {},
77 "dgqs": {}
78 }
79 ]
80 }
81]
Was this page helpful?
Previous

Platform API

Next

Retrieves a list of accounts for a user

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idintegerRequired
ID of the account

Headers

x-api-keystringRequired

Response

successful operation
idstring
namestring
data_countstring
db_group_namestring
import_statusstring
export_statusstring
importslist of objects
exportslist of objects